/***************************************************************************
 *   Copyright (C) 2007 by manos                                           *
 *   etsardou@users.sf.net                                                 * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "hNodeTreeVariable.h"

void hNodeTreeVariable::deleteVar(void)
{
	try{
//		var.erase();
	}
	catch(hException& e)
	{
		hException *t;
		t=new hException("hNodeTreeVariable::deleteVar","Cannot erase var",hDeleteVariable);
		e.setException(t);
		throw e;
	}
}

void hNodeTreeVariable::setConstant(bool val)
{
	isConstant=val;
}

const bool hNodeTreeVariable::getConstant(void)
{
	return isConstant;
}

hVariable & hNodeTreeVariable::returnVar(void)
{
    return var;
}

void hNodeTreeVariable::deleteNode(void)
{
	try{
//		var.erase();
	}
	catch(hException& e)
	{
		hException *t;
		t=new hException("hNodeTreeVariable::deleteVar","Cannot erase var",hDeleteVariable);
		e.setException(t);
		throw e;
	}
}

void hNodeTreeVariable::setVariable(const hVariable & v)
{
	var=v;
}

void hNodeTreeVariable::setName(const std::string & c)
{
	name=c;
}

void hNodeTreeVariable::setIsVisited(bool b)
{
	isVisited=b;
}

void hNodeTreeVariable::setRightChild(hNodeTreeVariable *a)
{
	rightChild=a;
}

void hNodeTreeVariable::setLeftChild(hNodeTreeVariable *a)
{
	leftChild=a;
}

void hNodeTreeVariable::setParent(hNodeTreeVariable *a)
{
	parent=a;
}

bool hNodeTreeVariable::returnIsVisited(void)
{
	return isVisited;
}

const std::string hNodeTreeVariable::returnName(void)
{
	return name;
}

 hNodeTreeVariable* hNodeTreeVariable::returnRightChild(void)
{
	return rightChild;
}

 hNodeTreeVariable* hNodeTreeVariable::returnLeftChild(void)
{
	return leftChild;
}

 hNodeTreeVariable* hNodeTreeVariable::returnParent(void)
{
	return parent;
}

hNodeTreeVariable::hNodeTreeVariable()
{
	parent=NULL;
	leftChild=rightChild=NULL;
	isVisited=false;
	isConstant=false;
}
