/***************************************************************************
 *   Copyright (C) 2007 by manos                                           *
 *   etsardou@users.sf.net                                                 * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef HNODETREEVARIABLE_H
#define HNODETREEVARIABLE_H


#define sizeName 20
#include "hVariable.h"
#include "string"
//using namespace std;


class hNodeTreeVariable
{
private:
	bool isVisited;
	std::string name;
	hNodeTreeVariable *rightChild;
	hNodeTreeVariable *leftChild;
	hNodeTreeVariable *parent;
	hVariable var;
	bool isConstant;
public:

	bool returnIsVisited(void);
	const std::string returnName(void);
	hNodeTreeVariable* returnRightChild(void);
	hNodeTreeVariable* returnLeftChild(void);
	hNodeTreeVariable* returnParent(void);
	hVariable & returnVar(void);
	void setRightChild(hNodeTreeVariable *a);
	void setLeftChild(hNodeTreeVariable *a);
	void setParent(hNodeTreeVariable *a);
	void setIsVisited(bool b);
	void setName(const std::string & c);
	void setVariable(const hVariable & v);
	void deleteNode(void);
	void deleteVar(void);
	void setConstant(bool val);
	const bool getConstant(void);
	hNodeTreeVariable();
};


#endif
