/***************************************************************************
 *   Copyright (C) 2007 by Harry Serenis                                   *
 *   bobomastoras@users.sf.net                                             * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef HPARAMETRICEXECUTION_H
#define HPARAMETRICEXECUTION_H

#include <vector>
#include <string>

#include "hCommandBlock.h"

class hParametricExecution{
	std::vector<std::string> keywords;
	std::vector<std::vector<std::string> > params;
	hAbstractCommand cmds;
public:
//	void setExecution(std::string key,std::string userParams,std::vector<std::string> userCmds);
	void setExecution(std::string key,std::string userParams,hAbstractCommand userCmds);
	std::vector<std::string> getKeywords(void);
	std::vector<std::vector<std::string> > getParams(void);
	hAbstractCommand getCmds(void);
	void clear(void);
};

#endif
