#include "hVarAlgebra.h"

hVariable matrixMul(hVariable &A,hVariable &B){
	hVariable ret;
	if(A.getType()==B.getType()){
		ret.storage=A.storage->matrixMul(B.storage);
		ret.type=ret.storage->getType();
	}else if(A.getType()>B.getType()){
		hVarBase *t;
		t=B.storage->cast(A.getType());
		ret.storage=A.storage->matrixMul(t);
		t->clear();
		ret.type=ret.storage->getType();
	}else if(A.getType()<B.getType()){
		hVarBase *t;
		t=A.storage->cast(B.getType());
		ret.storage=t->matrixMul(B.storage);
		t->clear();
		ret.type=ret.storage->getType();
	}
	return ret;
}
