/***************************************************************************
 *   Copyright (C) 2007 by manos                                           *
 *   etsardou@users.sf.net                                                 * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "hLoops.h"

void hLoopsExecution::setParametricExecution(hParametricExecution loop1)
{
	loop=loop1;
}


void hLoopsExecution::setKernel(hKernel* k)
{
	kernoulas=k;
	memory=&(k->memory);
	funct=k->getRunner();
}


void hLoopsExecution::execute(void)
{
	hCommandParser cmd;
	std::vector<std::string> key=loop.getKeywords();
	std::vector<std::vector<std::string> > params;
	hAbstractCommand comma,temp;
	params=loop.getParams();
	temp=loop.getCmds();
	
		unsigned char done=0;


	if(loop.getKeywords()[0].compare("for")==0){
		if(key.size()!=1)
			throw hException("hLoops::Execute","Invalid number of for arguments",hLoopArg);
		if(params[0].size()!=3)
			throw hException("hLoops::Execute","Invalid number of for parameters",hLoopArg);

		cmd.parseCommand(params[0][0],memory,funct);

// 		if(var1.getType()<1 || var1.getType()>2)
// 			throw hException("hLoops::Execute","Invalid type of parameters in for",hLoopArg);

		while(cmd.parseCommand(params[0][1],memory,funct).getValue(done))
		{
			comma=temp;
			while(!comma.empty()){
 				kernoulas->parse(comma.front(),false,true);
				comma.pop();
			}
			cmd.parseCommand(params[0][2],memory,funct);
		}
	}/*else if(key[0].compare("while")==0){
		if(key.size()!=1)
			throw hException("hLoops::Execute","Invalid number of while arguments",hLoopArg);
		if(params[0].size()!=1)
			throw hException("hLoops::Execute","Invalid number of while parameters",hLoopArg);
		//cout<<params[0][0];
		//return;
// 		if(var1.getType()<1 || var1.getType()>2)
// 			throw hException("hLoops::Execute","Invalid type of parameters in while",hLoopArg);
		while(cmd.parseCommand(params[0][0],memory,funct).getValue(done))
		{
			for(unsigned int i=0;i<comma[0].size();i++){
 				kernoulas->parse(comma[0][i],false,true);
			}
		}
	}else if(key[0].compare("do")==0){
		if(key.size()!=1)
			throw hException("hLoops::Execute","Invalid number of do-while arguments",hLoopArg);
		if(params[0].size()!=1)
			throw hException("hLoops::Execute","Invalid number of do-while parameters",hLoopArg);
		if(cmd.parseCommand(params[0][0],memory,funct).getType()<1 || cmd.parseCommand(params[0][0],memory,funct).getType()>2)
			throw hException("hLoops::Execute","Invalid type of parameters in do-while",hLoopArg);
		do{
			for(unsigned int i=0;i<comma[0].size();i++)
				kernoulas->parse(comma[0][i],false,true);
		}while(cmd.parseCommand(params[0][0],memory,funct).getValue(done));*/
/*	}else if(key[0].compare("if")==0){
		if(key.size()!=params.size())
			throw hException("hLoops::Execute","Invalid number of if blocks",hLoopArg);
		for(unsigned int i=0;i<params.size();i++)
		{
			if(params[i].size()!=1)
				throw hException("hLoops::Execute","Invalid number of if parameters",hLoopArg);
		}
		int k=0;
		cmd.parseCommand(params[0][0],memory,funct);

		while(!cmd.parseCommand(params[k][0],memory,funct).getValue(done))
			k++;
		if(k<params.size())
		{
//			if(cmd.parseCommand(params[k][0],memory,funct).getType()<1 || cmd.parseCommand(params[k][0],memory,funct).getType()>6)
	//		throw hException("hLoops::Execute","Invalid type of parameters in if",hLoopArg);

//			for(unsigned int i=0;i<comma[k].size();i++)
//				kernoulas->parse(comma[k][i],false,true);
		}
	}*/
}
