/***************************************************************************
 *   Copyright (C) 2007 by manos                                           *
 *   etsardou@users.sf.net                                                 * 
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef HLOOPS_H
#define HLOOPS_H


#include "hVariableTree.h"
#include "hKernel.h"
#include "hException.h"
#include "hParametricExecution.h"
#include "hFunction.h"

class hKernel;

class hLoopsExecution
{
	hParametricExecution loop;
	hVariableTree *memory;
	hFunction *funct;
	hKernel *kernoulas;
public:
	void setKernel(hKernel* k);
	void setParametricExecution(hParametricExecution loop1);
	void execute(void);
};

#endif
